# Record Class IdUserSearchParameters

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdUserSearchParameters

Record Components:
  `timeCreatedRange` - Only users created within this time range are returned
  `timeUpdatedRange` - Only users updated within this time range are returned
  `search` - The search query
  `ordering` - The ordering specification
  `limit` - The limit on the number of returned users

public record IdUserSearchParameters(IdTimeRange timeCreatedRange, IdTimeRange timeUpdatedRange, Optional<String> search, IdUserColumnOrdering ordering, int limit) extends Record
The immutable parameters required to search users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUserSearchParameters(IdTimeRange timeCreatedRange, IdTimeRange timeUpdatedRange, Optional<String> search, IdUserColumnOrdering ordering, int limit)`
  The immutable parameters required to list users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `limit()`
  Returns the value of the `limit` record component.
  `IdUserColumnOrdering`
  `ordering()`
  Returns the value of the `ordering` record component.
  `Optional<String>`
  `search()`
  Returns the value of the `search` record component.
  `IdTimeRange`
  `timeCreatedRange()`
  Returns the value of the `timeCreatedRange` record component.
  `IdTimeRange`
  `timeUpdatedRange()`
  Returns the value of the `timeUpdatedRange` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUserSearchParameters

    public IdUserSearchParameters(IdTimeRange timeCreatedRange, IdTimeRange timeUpdatedRange, Optional<String> search, IdUserColumnOrdering ordering, int limit)
    The immutable parameters required to list users.
    Parameters:
      `timeCreatedRange` - Only users created within this time range are returned
      `timeUpdatedRange` - Only users updated within this time range are returned
      `search` - The search query
      `ordering` - The ordering specification
      `limit` - The limit on the number of returned users

- ## Method Details

  - ### limit

    public int limit()
    Returns the value of the `limit` record component.
    Returns:
      the value of the `limit` record component

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### timeCreatedRange

    public IdTimeRange timeCreatedRange()
    Returns the value of the `timeCreatedRange` record component.
    Returns:
      the value of the `timeCreatedRange` record component

  - ### timeUpdatedRange

    public IdTimeRange timeUpdatedRange()
    Returns the value of the `timeUpdatedRange` record component.
    Returns:
      the value of the `timeUpdatedRange` record component

  - ### search

    public Optional<String> search()
    Returns the value of the `search` record component.
    Returns:
      the value of the `search` record component

  - ### ordering

    public IdUserColumnOrdering ordering()
    Returns the value of the `ordering` record component.
    Returns:
      the value of the `ordering` record component